aboutsummaryrefslogtreecommitdiff
path: root/lint
diff options
context:
space:
mode:
Diffstat (limited to 'lint')
-rw-r--r--lint/bash.sh2
-rw-r--r--lint/bin.sh4
-rw-r--r--lint/games.sh2
-rw-r--r--lint/git-template-hooks.sh2
-rw-r--r--lint/ksh.sh4
-rw-r--r--lint/sh.sh6
-rw-r--r--lint/urxvt.sh5
-rw-r--r--lint/x.sh1
-rw-r--r--lint/xinit.sh4
-rw-r--r--lint/xsession.sh1
10 files changed, 12 insertions, 19 deletions
diff --git a/lint/bash.sh b/lint/bash.sh
index 13754a3f..2b6342ae 100644
--- a/lint/bash.sh
+++ b/lint/bash.sh
@@ -5,4 +5,4 @@ set \
bash/bash_profile \
bash/bashrc \
bash/bashrc.d/*.bash
-shellcheck -e SC1090 -s bash -- "$@" || exit
+shellcheck -e SC1090 -e SC1091 -s bash -- "$@" || exit
diff --git a/lint/bin.sh b/lint/bin.sh
index a98c6a73..f80f44d2 100644
--- a/lint/bin.sh
+++ b/lint/bin.sh
@@ -3,7 +3,7 @@ set --
for bin in bin/*.sh ; do
set -- "$@" "${bin%.sh}"
done
-shellcheck -e SC1090 -- "$@" || exit
+shellcheck -e SC1090 -e SC1091 -- "$@" || exit
# GNU Bash
if command -v bash >/dev/null 2>&1 ; then
@@ -11,5 +11,5 @@ if command -v bash >/dev/null 2>&1 ; then
for bin in bin/*.bash ; do
set -- "$@" "${bin%.bash}"
done
- shellcheck -e SC1090 -- "$@" || exit
+ shellcheck -e SC1090 -e SC1091 -- "$@" || exit
fi
diff --git a/lint/games.sh b/lint/games.sh
index e9690d8d..aa680035 100644
--- a/lint/games.sh
+++ b/lint/games.sh
@@ -3,4 +3,4 @@ set --
for game in games/*.sh ; do
set -- "$@" "${game%.sh}"
done
-shellcheck -e SC1090 -- "$@" || exit
+shellcheck -e SC1090 -e SC1091 -- "$@" || exit
diff --git a/lint/git-template-hooks.sh b/lint/git-template-hooks.sh
index 74f20fc6..a0f7ef1a 100644
--- a/lint/git-template-hooks.sh
+++ b/lint/git-template-hooks.sh
@@ -2,4 +2,4 @@ set --
for bin in git/template/hooks/*.sh ; do
set -- "$@" "${bin%.sh}"
done
-shellcheck -e SC1090 -- "$@" || exit
+shellcheck -e SC1090 -e SC1091 -- "$@" || exit
diff --git a/lint/ksh.sh b/lint/ksh.sh
index 117909b3..164c4672 100644
--- a/lint/ksh.sh
+++ b/lint/ksh.sh
@@ -1,5 +1,5 @@
set \
ksh/kshrc \
ksh/kshrc.d/*.ksh
-shellcheck -e SC1090 -s ksh -- "$@" || exit
-shellcheck -e SC1090 -s sh -- ksh/shrc.d/ksh.sh || exit
+shellcheck -e SC1090 -e SC1091 -s ksh -- "$@" || exit
+shellcheck -e SC1090 -e SC1091 -s sh -- ksh/shrc.d/ksh.sh || exit
diff --git a/lint/sh.sh b/lint/sh.sh
index b0d28e5d..e15b5504 100644
--- a/lint/sh.sh
+++ b/lint/sh.sh
@@ -1,7 +1,7 @@
set \
sh/profile \
- sh/profile.d/*.sh \
sh/shinit \
sh/shrc \
- sh/shrc.d/*.sh
-shellcheck -e SC1090 -s sh -- "$@" || exit
+ */profile.d/*.sh \
+ */shrc.d/*.sh
+shellcheck -e SC1090 -e SC1091 -s sh -- "$@" || exit
diff --git a/lint/urxvt.sh b/lint/urxvt.sh
deleted file mode 100644
index 6e5fb503..00000000
--- a/lint/urxvt.sh
+++ /dev/null
@@ -1,5 +0,0 @@
-set --
-for pl in urxvt/ext/*.pl ; do
- set -- "$@" "${pl%.pl}"
-done
-perlcritic --brutal -- "${pl%.pl}"
diff --git a/lint/x.sh b/lint/x.sh
new file mode 100644
index 00000000..0625369b
--- /dev/null
+++ b/lint/x.sh
@@ -0,0 +1 @@
+shellcheck -e SC1090 -e SC1091 -s sh -- x/xsessionrc x/shrc.d/*.sh
diff --git a/lint/xinit.sh b/lint/xinit.sh
deleted file mode 100644
index 0fab84d2..00000000
--- a/lint/xinit.sh
+++ /dev/null
@@ -1,4 +0,0 @@
-set \
- X/xinitrc \
- X/xinitrc.d/*.sh
-shellcheck -e SC1090 -s sh -- "$@"
diff --git a/lint/xsession.sh b/lint/xsession.sh
new file mode 100644
index 00000000..5544e1be
--- /dev/null
+++ b/lint/xsession.sh
@@ -0,0 +1 @@
+shellcheck -e SC1090 -e SC1091 -s sh -- x/xsession